org.apache.cassandra.serializers

## Class AsciiSerializer

- java.lang.Object
- - org.apache.cassandra.serializers.AbstractTextSerializer
  - - org.apache.cassandra.serializers.AsciiSerializer

- All Implemented Interfaces:
    TypeSerializer<java.lang.String>

      public class AsciiSerializer
      extends AbstractTextSerializer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AsciiSerializer` | `instance`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `validate(java.nio.ByteBuffer bytes)`

    - ### Methods inherited from class org.apache.cassandra.serializers.AbstractTextSerializer

      `deserialize, getType, serialize, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          public static final AsciiSerializer instance

  - ### Method Detail

    - #### validate

          public void validate(java.nio.ByteBuffer bytes)
                        throws MarshalException

      Throws:
        `MarshalException`

Copyright © 2018 The Apache Software Foundation